%define name 		ncftp
%define version		3.1.9
%define release		1mdk
%define _localstatedir	/var

Summary:	An improved FTP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group: 		Networking/File transfer
URL:		http://www.ncftp.com/
BuildRequires:	ncurses-devel
License:	Artistic
Source0:	ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2
Patch0:		ncftp-confirm.patch.bz2 
Patch1:		ncftp-3.1.6-DESTDIR.patch.bz2
Patch3: 	ncftp-3.0.3-resume.patch.bz2
Patch5:		ncftp-3.1.9-suspend.patch.bz2
#Patch6:		ncftp-ipv6.patch.bz2
# pterjan  3.1.6-2mdk
# this updated patch comes from PLD
# the original patch comes from ftp://ftp.kame.net/pub/kame/misc
# more info on http://www.ipv6.org/v6-apps.html
Patch7:		ncftp-3.1.1-EPLF.diff.bz2
# yves 3.1.1-1mdk
# requested by Yura Gusev <elendal@w4technology.com>
# adapted to 3.1.1 from http://www.fefe.de/ncftp/ncftp-3.0-EPLF.diff
# It will allow ncftp to work with publicfile. http://publicfile.org/
#Patch8:         ncftp-sa_len.patch.bz2
# pterjan  3.1.6-2mdk
# patch from PLD
# Needed for ipv6 to work

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}buildroot

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%prep

%setup -q
%patch0 -p0 -b .confirm 
%patch1 -p1
%patch3 -p1 -b .res
%patch5 -p1 -b .suspend
#%patch6 -p1 -b .ipv6
%patch7 -p1 -b .eplf
#%patch8 -p1 -b .salen

%build
%configure --enable-signals --enable-ipv6
%make

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir} 

# yves - 3.1.1-1mdk - fix doc perm
find doc -type f -exec chmod 0644 {} \;

%clean
rm -fr %{buildroot};

%files
%defattr(-,root,root)
%doc doc/*.txt README.txt
#README.v6
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Jun 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.9-1mdk
- 3.1.9
- regenerate P5

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 3.1.8-1mdk
- 3.1.8

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.7-1mdk
- 3.1.7

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 3.1.6-4mdk
- Remove menu entry

* Sun Nov 16 2003 Pascal Terjan <CMoi@tuxfamily.org> 3.1.6-3mdk
- disable patches 6 and 8 (ipv6 support). Looks like it breaks ipv4 data
  connections when not in passive mode.

* Fri Nov 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 3.1.6-2mdk
- ipv6 patch is back

* Wed Oct 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.6-1mdk
- 3.1.6 (closes #6110)
- regenerated P1
- don't bzip2 icons in src.rpm
- cleanups

* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 3.1.5-3mdk
- BuildRequires

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.5-2mdk
- build release

* Thu Oct 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.5-1mdk
- new release

* Thu Jul 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.4-1mdk
- new release
- gcc-3.2 rebuild

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.3-2mdk
- Automated rebuild in gcc3.1 environment

* Thu Apr 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.3-1mdk
- new release

* Sun Jan 20 2002 Yves Duret <yduret@mandrakesoft.com> 3.1.1-2mdk
- added patch7 to add support to publicfile.org 
  requested by Yura Gusev <elendal@w4technology.com>

* Sun Jan 20 2002 Yves Duret <yduret@mandrakesoft.com> 3.1.1-1mdk
- version 3.1.1
- rediff patch1 ncftp-DESTDIR.patch
- remove patch6 ipv6 support
- png icons, fix menu entry
- spec clean up, more globbing, more macros
- new %%doc section, fix doc permissions

* Sat Nov 10 2001 Yves Duret <yduret@mandrakesoft.com> 3.0.4-1mdk
- version 3.0.4
- removed patch merged upstream
- readded ipv6 patch & support

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0.3-4mdk
- RH patch merge (suspend, crash patch).

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-3mdk
- Use new icons

* Mon Jul 16 2001 Yves Duret <yduret@mandrakesoft.com> 3.0.3-2mdk
- rebuild
- Default to auto-resume=yes (rh #28705) by patch3

* Tue May  1 2001 Yves Duret <yduret@mandrakesoft.com> 3.0.3-1mdk
- version 3.0.3 for general usage
- added ipv6 support (patch2)
- spec clean up: globing for %%files, typo
- added URL tag

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 3.0.2-2mdk
- use %make macro
- fixed some file's permission
- fixed menu entry
- added a large icon

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2.

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.0.1-8mdk
- icons should be tranparents.

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.0.1-7mdk
- add icons
 
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-6mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.1-4mdk
- use new macros in post and postun scripts

* Thu Jul 06 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.0.1-3mdk.ipv6
- IPv6 support

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-3mdk
- Fix and use a real %%doc

* Wed Apr  5 2000 Denis Havlik <denis@mandrakesoft.com> 3.0.1-2mdk
- fixed source path

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.1-1mdk
- Add menu.
- Change license to Artistic.
- spec-helper purification.
- Upgrade groups.
- 3.0.1 final (correct a lot of bugs).

* Fri Jan  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-4mdk
- sed 's/1/True/'

* Wed Jan  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-3mdk
- Oxygen Release.
- Disble confirmation in exit by default.
